# $Revision: 1.17 $, $Date: 2012/01/22 18:40:22 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Email
%define		pnam	Address
Summary:	Email::Address - RFC 2822 Address Parsing and Creation
Summary(pl.UTF-8):	Email::Address - Parsowanie i tworzenie adresów zgodnych z RFC 2822
Name:		perl-Email-Address
Version:	1.895
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Email/RJBS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	57a05d45498f5dc6dc28ebb075706b91
URL:		http://search.cpan.org/dist/Email-Address/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class implements a complete RFC 2822 parser that locates email
addresses in strings and returns a list of Email::Address objects
found. Alternatley you may construct objects manually. The goal of
this software is to be correct, very very fast, and API compatible
with the MailTools version. Did I mention fast?

%description -l pl.UTF-8
Ta klasa implementuje zgodny z RFC 2822 parser który lokalizuje adresy
email w ciągach znaków i zwraca listę obiektów Email::Address. Możliwe
jest także tworzenie takich obiektów ręczenie. Oprogramowanie to ma
być poprawne, bardzo bardzo szybkie, i z API zgodnym z MailTools.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Email/Address.pm
%{_mandir}/man3/Email::Address.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Email-Address.spec,v $
Revision 1.17  2012/01/22 18:40:22  zbyniu
- up to 1.895

Revision 1.16  2012/01/11 21:57:03  zbyniu
- up to 1.893

Revision 1.15  2011/02/23 20:43:24  qboosh
- updated to 1.892

Revision 1.14  2008/12/01 13:51:15  arekm
- up to 1.889

Revision 1.13  2008/07/27 22:33:40  arekm
- release 2

Revision 1.12  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.10  2006/08/22 15:24:02  glen
- rel 1, generic url

Revision 1.9  2006/08/10 21:15:50  agaran
- up to 1.86, rel 0.1, builds here

Revision 1.8  2004/11/03 22:30:20  paladine
- formatting

Revision 1.7  2004/11/03 13:13:12  paladine
- spaces->tabs
- formatting

Revision 1.6  2004/10/24 11:22:24  blaass
- updated to 1.80

Revision 1.5  2004/10/06 14:10:20  adamg
- updated to 1.6

Revision 1.4  2004/08/22 09:05:53  adamg
- updated to 1.3

Revision 1.3  2004/08/08 12:19:14  adamg
- release 2

Revision 1.2  2004/06/06 10:17:58  adamg
- pl description

Revision 1.1  2004/06/05 22:05:45  adamg
- new
